# Clock interface

## Detailed Description

The clock interface is the interface between the timer library and the platform specific clock functionality.

The clock interface must be implemented for each platform that uses the timer library.

The clock interface does only one this: it measures time. The clock interface provides a macro, CLOCK_SECOND, which corresponds to one second of system time.

See also:
  Timer library

## Defines

#define | CLOCK_SECOND
| A second, measured in system clock time.

## Functions

void | clock_init (void)
| Initialize the clock library.
clock_time_t | clock_time (void)
| Get the current clock time.

## Function Documentation

void clock_init | ( | void |  | ) |

| Initialize the clock library. This function initializes the clock library and should be called from the main() function of the system.

clock_time_t clock_time | ( | void |  | ) |

Get the current clock time.

This function returns the current system clock time.

Returns:
  The current clock time, measured in system ticks.

Referenced by timer_expired(), timer_restart(), and timer_set().